using System;
using System.Collections.Generic;
using System.Linq;

namespace Syslab.Samples.Ex02
{
    class Program
    {
        static void Main(string[] args)
        {
            int[] numbers = new int[] { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 };

            var result = from n in numbers.AsParallel()
                         orderby n
                         select n * 5;

            foreach (var item in result)
                Console.WriteLine(string.Format("Resultado = {0};", item));
        }
    }
}

